[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# OffsetRect

Offset the rectangle

## Declaration

Source position: types.pp line 338

`function OffsetRect(`
`var Rect: TRect;`
`DX: Integer;`
`DY: Integer`
`):Boolean;`

## Description

OffsetRect offsets the rectangle Rect by a horizontal distance DX and a vertical distance DY. The operation returns True if the operation was successful, false if it was not (only possible if the address of Rect is Nil).

## See also

PtinRect |  | Check whether a point is inside a rectangle.
IntersectRect |  | Return the intersection of 2 rectangles
IsRectEmpty |  | Check whether a rectangle is empty
OffsetRect |  | Offset the rectangle
InflateRect |  | Increase the rectangle in size, keeping it centered
Size |  | Return the size of the rectangle
IsRectEmpty |  | Check whether a rectangle is empty